Subject: Re: Git-aware HTTP transport

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 28 Aug 2008 11:47:35 -0700

Nicolas Pitre wrote:
>> Should I change the HTTP protocol then to use the same format,
>> so they have a better chance at sharing code between them?
> 
> Given that the ref exchange happens on multiple lines (one ref per line) 
> in the native protocol, and that your proposal is using one line for 
> multiple refs, I don't see this as a big factor wrt code reuse.  Since 
> you'll have separate "output" code anyway, why not simply going with 
> refs in straight binary for the HTTP protocol?  Even the debugability of 
> refs exchange in plain text is dubious especially with all refs on the 
> same line (that'll be a pain to split refs out of a long stream of hex 
> by hand).

Well, I think the real question was to go to multiple lines, 
native-protocol style, or go to binary.

	-hpa